const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    
    const button = document.querySelector('.frameButton');
    const input = document.querySelector('.answerInput');
    
    button.addEventListener('click', async () => {
      try {
        const answer = input.value.trim().toLowerCase();
        await window.frames.postMessage({
          action: 'post',
          answer: answer
        });
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
